{% extends "dashboard/base.html" %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% block content %}

<div class="row">
    <div class="col-lg-4">
        <div class="widget style1 bg-success">
            <div class="row">
                <div class="col-xs-4 text-center">
                    <i class="fa fa-user fa-5x"></i>
                </div>
                <div class="col-xs-8 text-right">
                    <span> Profesores </span>
                    <h2 class="font-bold">25</h2>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-4">
        <div id="Carreras" class="widget style1 bg-success">
            <div class="row">
                <div class="col-xs-4 text-center">
                    <i class="fa fa-graduation-cap fa-5x"></i>
                </div>
                <div class="col-xs-8 text-right">
                    <span> Alumnos </span>
                    <h2 class="font-bold">63</h2>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-4">
        <div id="Carreras" class="widget style1 bg-success">
            <div class="row">
                <div class="col-xs-4 text-center">
                    <i class="fa fa-university fa-5x"></i>
                </div>
                <div class="col-xs-8 text-right">
                    <span> Proyectos en Curso </span>
                    <h2 class="font-bold">63</h2>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="ibox-content">
        <h1 class="text-center">Proyectos Facultad Ingeniería</h1>
    
    
    <!-- <div class="col-lg-4 animated fadeInRight">
        <div class="widget-head-color-box blue-bg p-lg text-center">
            <div class="m-b-md">
            <h2 class="font-bold no-margins">
                {{project.name}}
            </h2>
                <h3>{% trans "Autor: "%}{{project.author.first_name}} {{project.author.last_name}}</h3>
            </div>
            <img src="{% static 'img/FaviconUNAB.png' %}" class="img-circle circle-border m-b-md" alt="profile">
        </div>
        <div class="widget-text-box">
            <div style="text-align:center">
                <a  href="#" class="btn btn-warning btn-block btn-w-m" data-project_id="{{project.pk}}" data-toggle="modal" data-target="#exampleModal"> Detalles del Proyecto </a>
            </div>
        </div> 
    </div>
     -->

     <h2 class="page-title">Mis Proyectos</h2>
     <hr>
     <table class="table table-border table-hover">
         <thead>
             <tr>
                 <th class="col-md-4 text-center">Título</th>
                 <th class="col-md-4 text-center">Autor</th>
                 <th class="col-md-4 text-center">Documento</th>
             </tr>
         </thead>
         <tbody>
            {% for project in Projects %}
             <tr>
                 <td style="vertical-align:middle;" class="text-center">{{project.name}}</td>
                 <td style="vertical-align:middle;" class="text-center">{{project.author.first_name}} {{project.author.last_name}}</td>
                 <td style="vertical-align:middle;" class="text-center">
                  <a target="_blank" href="http://protedev.cloudtic.tech:8089/media/proyecto.pdf">
                    <button class="btn btn-info"><span class="glyphicon glyphicon-download-alt"></span> PDF</button></td>                   
                  </a>
             </tr>
            {% endfor %}
         </tbody>
     </table>
    </div>
</div>

<!-- modal block -->

        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <img alt="image" class="img-circle img-responsive center-block " src="{% static 'img/FaviconUNAB.png' %}">
                  <h1 class="text-center" id="titulo-proyecto"></h1>
              </div>
              <div class="modal-body">
                  <strong>Descripción</strong>
                  <div class="well">
                      <text id="description_project"></text>
                  </div>
                  <div class="row">
                    <div class="col-md-7">
                        <h5 id="cupos">
                            <strong>Cupos: </strong>
                            1/1
                        </h5>
                        <div class="progress progress-striped active" id="progress_cupo">
                            <div style="width: 100%" aria-valuemax="100" aria-valuemin="0" aria-valuenow="100" role="progressbar" class="progress-bar progress-bar-navy">
                                <span class="sr-only">40% Complete (success)</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5" style="text-align:center;margin-top:22px;">
                        <a class="btn btn-warning btn-sm">Descargar Detalle
                            <i class="fa fa-download"></i>
                        </a>
                    </div>
                  </div>
                  <div class="row">                                     
                      <div class="col-md-8">
                          <h5 id=autor>
                              <strong>Autor: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="facultad">
                              <strong>Facultad: </strong>
                          </h5>
                      </div>
                  </div>
                  <div class="row">                                     
                      <div class="col-md-8">
                          <h5 id="carrera">
                              <strong>Carrera: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="profesor-guia">
                              <strong>Profesor Guía: </strong>
                          </h5>
                      </div>
                  </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->



{% endblock content %}


{% block javascript %}

<script>

     $('#exampleModal').on('show.bs.modal', function (event) {

            var button = $(event.relatedTarget) // Button that triggered the modal
            
            var project_id = button.data('project_id') // Extract info from data-* attributes
            var modal = $(this);

            // moredata: 'moredata',
            data = {
                project_id : project_id,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'project_detail' %}",data,function(response){
                project_name = 'Demo' ;
                modal.find('.modal-title').text('Detalle de projecto ' + project_id);
                $('#autor').html("<strong>Autor: </strong>" + response.autor);
                $('#description_project').html(response.descripcion);
                $('#titulo-proyecto').html(response.titulo)
                $('#carrera').html("<strong>Carrera: </strong>" + response.carrera)
                $('#facultad').html("<strong>Facultad: </strong>" + response.facultad)
                $('#profesor-guia').html("<strong>Profesor: </strong>" + response.profesor)
                $('#cupos').html("<strong>Cupos: </strong>" + response.cupos_disponible + "/" + response.cupos_total)
                var porcentaje = 100/response.cupos_total
                $('#progress_cupo').html('<div style="width:' + response.cupos_disponible*porcentaje +'%" aria-valuemax="' + response.cupos_total + '" aria-valuemin="0" aria-valuenow="' + response.cupos_disponible + '" role="progressbar" class="progress-bar progress-bar-navy"><span class="sr-only">40% Complete (success)</span></div>');
//                modal.find('.modal-body').html(html);
            });
        })

</script>

{% endblock javascript %}